var mongo = require("./mongoHelp.js")
const uuidv4 = require('uuid/v4');

var lobby={
    list: async () => {
        mongo.get("embezzle","gamelist",{}).then(result => {
            return(result)
        })
    },
    details: (gameID) => {
        mongo.get("embezzle","gamelist",{"gameID":gameID}).then(result => {
            return (result)
        })
    },
    register: (name) => {
        id=uuidv4()
        mongo.put("embezzle","players",{_id:id,name:name})
        console.log("yoohoo")
        return({ownerID:id})
    },
    make: (ownerID,seats) => {
        gameID=uuidv4()
        //todo write charity name generator
        name="Charity Name Example"
        mongo.put("embezzle","gamelist",{gameID:gameID,ownerID:ownerID,name:name,seats:seats, status:"lobby", players: []})
        // this.join(ownerID,gameID)
        
        return({gameID:gameID})
    },
    join: (ownerID,gameID) => {
        mongo.get("embezzle","gamelist",{"gameID":gameID}).then(value => {
            console.log(value[0])
            value[0].players.push(ownerID)
            mongo.update("embezzle","gamelist",{"gameID":gameID},value[0])
        })
        return({gameID:gameID})
    },
    start: (ownerID, gameID) => {
        mongo.get("embezzle","gamelist",{"gameID":gameID}).then(value => {
            console.log(value[0])
            value[0].status="playing"
            mongo.update("embezzle","gamelist",{"gameID":gameID,"ownerID":ownerID}, value[0])
        })
        
        return(gameID)
    },
}

module.exports = lobby